Bug 1955239 - non-free licensed files in libtirpc
Summary: non-free licensed files in libtirpc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtirpc
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-29 18:18 UTC by Tom "spot" Callaway
Modified: 2021-06-03 01:00 UTC (History)
1 user (show)

Fixed In Version: libtirpc-1.3.2-0.fc34 libtirpc-1.2.6-4.rc4.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-21 03:23:09 UTC
Type: Bug


Attachments (Terms of Use)
BSD licensed key_prot.x (6.41 KB, text/plain)
2021-04-29 18:19 UTC, Tom "spot" Callaway
no flags Details
BSD licensed key_prot.h (8.19 KB, text/plain)
2021-04-29 18:19 UTC, Tom "spot" Callaway
no flags Details

Description Tom "spot" Callaway 2021-04-29 18:18:43 UTC
Description of problem:

Recently, my employer noticed that libtirpc still contains SunRPC licensed code. This is bad because the SunRPC license is non-free (and I put quite a bit of effort into killing it off in 2009-2010).

I was able to track it down to this commit from 2015:

 https://git.linux-nfs.org/?p=steved/libtirpc.git;a=commit;h=bfea7f3e4dc34998f298741cba81faaf637fa2cd

In that commit, Chuck Lever <chuck.lever@oracle.com> somehow managed to find a copy of key_prot.x that had the SunRPC license, used it to generate key_prot.h with rpcgen, then stuck the SunRPC license on the generated key_prot.h file.

This act alone is impressive, because Ulrich Drepper fixed the licensing in upstream Glibc in 2010:
https://sourceware.org/git/?p=glibc.git;a=commit;h=a7ab6ec83e144dafdc7c46b8943288f450f8e320

This means that Chuck must have had a five year old copy of glibc lying around that he used.

*****
If you take a BSD licensed copy of key_prot.x from glibc (you have to go back in the git repo history to do this, since glibc no longer has a copy of the sunrpc .x files) and run it through rpcgen, then compare the generated header to what is in libtirpc currently, you see that the only difference is the license header.

I will attach a copy of the BSD licensed key_prot.x and key_prot.h files.

I recommend fixing it by replacing the files in upstream libtirpc (in rpc/ and
rpcsvc/ respectively) with these properly licensed files. Please note that this issue affects all current versions of Fedora (32, 33, 34, rawhide).

Comment 1 Tom "spot" Callaway 2021-04-29 18:19:09 UTC
Created attachment 1777291 [details]
BSD licensed key_prot.x

Comment 2 Tom "spot" Callaway 2021-04-29 18:19:34 UTC
Created attachment 1777292 [details]
BSD licensed key_prot.h

Comment 3 Fedora Update System 2021-05-18 18:20:32 UTC
FEDORA-2021-bda232067c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bda232067c

Comment 4 Fedora Update System 2021-05-18 18:23:09 UTC
FEDORA-2021-53ea50793d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53ea50793d

Comment 5 Fedora Update System 2021-05-18 18:23:11 UTC
FEDORA-2021-ae71327f68 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae71327f68

Comment 6 Fedora Update System 2021-05-19 02:20:53 UTC
FEDORA-2021-bda232067c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bda232067c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bda232067c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-19 02:29:50 UTC
FEDORA-2021-ae71327f68 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ae71327f68`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae71327f68

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-19 02:38:41 UTC
FEDORA-2021-53ea50793d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53ea50793d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53ea50793d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-21 03:23:09 UTC
FEDORA-2021-bda232067c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-06-03 01:00:37 UTC
FEDORA-2021-ae71327f68 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.